import React from 'react';
import { Input } from 'antd';
import styles from './styles.less';
import { antiAssign } from '../../../../utils/utils';
import { ApolloInputProps } from '../editInterface';

export const ApolloInput = (props: ApolloInputProps) => {
    const { maxLength, onChange, value, style } = props;
    const selfProps = antiAssign(props, ['columnConfig', 'onChange', 'style', 'onEmitChange']);
    const changeValue = (value: any) => {
        if (typeof onChange === 'function') {
            onChange(value);
        }
    };

    const newStyle: any = {
        ...style,
    };
    if (maxLength) {
        newStyle.paddingRight = '110px';
        if (style && style.minHeight) {
            newStyle.minHeight = Number(style.minHeight) + 10;
        }
    }
    return (
        <div className={styles.container}>
            <Input
                className={styles.input}
                style={newStyle}
                {...selfProps}
                onChange={(e) => {
                    changeValue(e.target.value);
                }}
            />
            {!!maxLength && <span className={styles.wordNumber}>{`Entered ${(value || '').length}/${maxLength}`}</span>}
        </div>
    );
};
